Subject: bug#23334: 25.0.92; What's the replacement for assoc*

From: John Mastro <[email-masked]>
Date: Thu, 21 Apr 2016 12:02:16 -0700

Live System User <[email-masked]> wrote:
> I upgraded to Emacs 25 pretest and some elisp I was using now
> gives me the error:
>
>     cdr: Symbol’s function definition is void: assoc*
>
> I looked in NEWS ('view-emacs-news') but didn't see anything
> about its removal nor a recommendation on its replacement
> functionality.
>
> Can you provide me any guidance?

My recommendation would be to (require 'cl-lib) and use `cl-assoc'.
However, if you (require 'cl) you should still be able to use `assoc*'
(it's defined there as an alias of `cl-assoc').

-- 
          John